petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPCGGetObjFcn

Get objective function value.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPCGGetObjFcn(KSP ksp, PetscReal *o_fcn)

Collective on KSP

### Input Parameters

| ksp | - the iterative context
| o_fcn | - the objective function value

### Keywords

get, objective function

### See Also

KSP, KSPCG, KSPNASH, KSPSTCG, KSPGLTR

### Level

advanced

### Location

src/ksp/ksp/impls/cg/cgtype.c

### Implementations

KSPCGGetObjFcn_GLTR in src/ksp/ksp/impls/cg/gltr/gltr.c
KSPCGGetObjFcn_NASH in src/ksp/ksp/impls/cg/nash/nash.c
KSPCGGetObjFcn_STCG in src/ksp/ksp/impls/cg/stcg/stcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages